List maps owner jobs
curl --request GET \
--url https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs")
.header("Authorization", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"jobs": [
{
"accepted": 48,
"businesses": [
{
"businessID": "3c1a2b4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"reason": "business not found in this list",
"status": "skipped"
}
],
"clientRequestID": "req_12345",
"completedAt": "<string>",
"consumedCredits": 123,
"createdAt": "2026-09-13T12:10:00Z",
"error": "<string>",
"jobID": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",
"maxResults": 3,
"ownersFound": 0,
"processed": 12,
"reservedCredits": 123,
"resultsURL": "/public/v1/maps-discovery/owner-jobs/9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d/results",
"searchJobID": "5f1c2e3a-0b1d-4c2e-9f3a-1b2c3d4e5f60",
"status": "in_progress",
"statusURL": "/public/v1/maps-discovery/owner-jobs/9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",
"total": 50,
"updatedAt": "2026-09-13T12:11:00Z",
"wantEmail": true,
"wantPhone": true,
"webhookURL": "https://example.com/webhooks/maps-owners"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Maps discovery
List maps owner jobs
Free. Synchronous. Lists your owner enrichment jobs, most recent first. Use the filters (status, clientRequestID, from/to) to recover a job whose ID you lost. Requires limit.
GET
/
maps-discovery
/
owner-jobs
List maps owner jobs
curl --request GET \
--url https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs")
.header("Authorization", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.leadsforge.ai/public/v1/maps-discovery/owner-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"jobs": [
{
"accepted": 48,
"businesses": [
{
"businessID": "3c1a2b4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"reason": "business not found in this list",
"status": "skipped"
}
],
"clientRequestID": "req_12345",
"completedAt": "<string>",
"consumedCredits": 123,
"createdAt": "2026-09-13T12:10:00Z",
"error": "<string>",
"jobID": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",
"maxResults": 3,
"ownersFound": 0,
"processed": 12,
"reservedCredits": 123,
"resultsURL": "/public/v1/maps-discovery/owner-jobs/9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d/results",
"searchJobID": "5f1c2e3a-0b1d-4c2e-9f3a-1b2c3d4e5f60",
"status": "in_progress",
"statusURL": "/public/v1/maps-discovery/owner-jobs/9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",
"total": 50,
"updatedAt": "2026-09-13T12:11:00Z",
"wantEmail": true,
"wantPhone": true,
"webhookURL": "https://example.com/webhooks/maps-owners"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Authorizations
Query Parameters
Was this page helpful?
